/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing MetadataTreeForDeletionDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class MetadataTreeForDeletionDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for MetadataTreeForDeletionDto
        //private MetadataTreeForDeletionDto instance;

        public MetadataTreeForDeletionDtoTests()
        {
            // TODO uncomment below to create an instance of MetadataTreeForDeletionDto
            //instance = new MetadataTreeForDeletionDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of MetadataTreeForDeletionDto
        /// </summary>
        [Fact]
        public void MetadataTreeForDeletionDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" MetadataTreeForDeletionDto
            //Assert.IsType<MetadataTreeForDeletionDto>(instance);
        }

        /// <summary>
        /// Test the property 'Path'
        /// </summary>
        [Fact]
        public void PathTest()
        {
            // TODO unit test for the property 'Path'
        }

        /// <summary>
        /// Test the property 'VarVersion'
        /// </summary>
        [Fact]
        public void VarVersionTest()
        {
            // TODO unit test for the property 'VarVersion'
        }

        /// <summary>
        /// Test the property 'InvalidatedBy'
        /// </summary>
        [Fact]
        public void InvalidatedByTest()
        {
            // TODO unit test for the property 'InvalidatedBy'
        }
    }
}
